build problem under OS X

edited June 2010 in General
I am trying to build under OS X 10.6

I installed qt-mac-cocoa-opensource-4.6.2-debug-lib

I tried compiling with
./build.sh -platform mac-leopard-gcc-release -qtbin /Developer/Tools/Qt -qtlib /usr/lib -rblib /usr/lib/libruby.dylib -rbinc /usr/lib/ruby/1.8/universal-darwin10.0

And I am getting this error

from /Users/oliverks/Downloads/klayout-r322/src/layMain.cc:24:
/Library/Frameworks/QtCore.framework/Headers/qglobal.h:288:2: error: #error "You are building a 64-bit application, but using a 32-bit version of Qt. Check your build configuration."


Do you have any suggestions on how to build this?

Oliver

Comments

  • edited 7:55AM

    Hi Oliver,

    I am not familiar with OS X myself. I was told that you need to install both 32 and 64bit versions of Qt to be able to build the project. The default build seems to be 64bit. The message indicates that you did not install the 64bit version of Qt.

    Maybe somebody else could help out?

    Best regards,

    Matthias

Sign In or Register to comment.